# libpcap 1.10.5 — captura de paquetes (C). Lo exige libksysguard (monitor de red de Plasma). Autotools;
# flex/bison para el parser de filtros BPF. Backend PF_PACKET en Linux (sin libnl para minimizar).
name    = "libpcap"
version = "1.10.5"
[source]
tarball = "https://www.tcpdump.org/release/libpcap-1.10.5.tar.xz"
sha256  = "84fa89ac6d303028c1c5b754abff77224f45eca0a94eb1a34ff0aa9ceece3925"
[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "dynamic"
zig_version = "0.13.0"
[build.phases]
configure = './configure --build=$CBUILD --host=$CHOST --prefix=/usr --disable-static --enable-shared --without-libnl --disable-dbus --disable-rdma'
compile   = 'make -j"$(nproc)"'
install   = "make install DESTDIR=/out && find /out -name '*.la' -delete"
[deps]
build = ["pkgconf", "flex", "bison"]
